package reichert._02_bildbearbeitung;

import processing.core.PApplet;
import processing.core.PImage;

public class AufgabeBildbearbeitung180GradDrehen extends PApplet {

	private static final long serialVersionUID = 1L;

	PImage original;
	PImage bearbeitet;

	public void setup() {
		original = loadImage("flickr photos mike 6083251958.jpg");
		original.loadPixels();

		bearbeitet = new PImage(original.width, original.height);
		bearbeitet.loadPixels();

		for (int bearbeitetY = 0; bearbeitetY < bearbeitet.height; bearbeitetY++) {
			for (int bearbeitetX = 0; bearbeitetX < bearbeitet.width; bearbeitetX++) {
				int originalX = bearbeitet.width - 1 - bearbeitetX;
				int originalY = bearbeitet.height - 1 - bearbeitetY;
				int originalFarbe = getColor(original, originalX, originalY);

				setColor(bearbeitet, bearbeitetX, bearbeitetY, originalFarbe);
			}
		}
		bearbeitet.updatePixels();

		size(original.width + bearbeitet.width, bearbeitet.height);
	}

	int getColor(PImage image, int x, int y) {
		return image.pixels[y * image.width + x];
	}

	void setColor(PImage image, int x, int y, int color) {
		image.pixels[y * image.width + x] = color;
	}

	public void draw() {
		background(255, 255, 255);
		image(original, 0, 0, original.width, original.height);
		image(bearbeitet, original.width, 0, bearbeitet.width, bearbeitet.height);

	}

}
